% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-documentation.R
\name{Yellow_Fever_list}
\alias{Yellow_Fever_list}
\title{Yellow Fever Outbreak in Brazil (Dec 2016 – May 2017)}
\format{
A list with 4 elements:
\describe{
  \item{states}{A data frame with 5 observations on 5 variables, including location code, population, number of cases, and dates of first and last reported cases}
  \item{T_D}{A 5x10 numeric matrix of travel destinations (disease importation probabilities)}
  \item{T_O}{A 5x10 numeric matrix of travel origins (disease exportation probabilities)}
  \item{length_of_stay}{A named numeric vector of average length of stay per destination}
}
}
\source{
Data taken from the epiflows package version 0.2.1
}
\usage{
data(Yellow_Fever_list)
}
\description{
This dataset, Yellow_Fever_list, is a list object containing information on the flow of Yellow Fever
cases between five Brazilian states during the outbreak period from December 2016 to May 2017.
The data include epidemiological statistics such as the number of cases, population, dates of first and last
recorded cases, as well as travel-related matrices indicating disease importation and exportation.
}
\details{
The dataset name has been kept as 'Yellow_Fever_list' to avoid confusion with other datasets
in the R ecosystem. This naming convention helps distinguish this dataset as part of the
BrazilDataAPI package and assists users in identifying its specific characteristics.
The suffix 'list' indicates that the dataset is a list object. The original content has not been modified
in any way.
}
